package at.ac.uibk.gitsearch.repository.search;

import at.ac.uibk.gitsearch.domain.User;
import java.util.stream.Stream;
import org.apache.commons.lang3.NotImplementedException;
import org.springframework.data.elasticsearch.repository.ElasticsearchRepository;

/**
 * Spring Data Elasticsearch repository for the User entity.
 */

public interface UserSearchRepository extends ElasticsearchRepository<User, Long>, UserSearchRepositoryInternal {}

interface UserSearchRepositoryInternal {
    Stream<User> search(String query);
}

class UserSearchRepositoryInternalImpl implements UserSearchRepositoryInternal {

    @Override
    public Stream<User> search(String query) {
        throw new NotImplementedException("this function is temporarily disabled :-)");
    }
}
