import { NgModule } from '@angular/core';
import { SharedModule } from 'app/shared/shared.module';
import { SavedSearchesComponent } from './list/saved-searches.component';
import { SavedSearchesDetailComponent } from './detail/saved-searches-detail.component';
import { SavedSearchesUpdateComponent } from './update/saved-searches-update.component';
import { SavedSearchesDeleteDialogComponent } from './delete/saved-searches-delete-dialog.component';
import { SavedSearchesRoutingModule } from './route/saved-searches-routing.module';

@NgModule({
  imports: [SharedModule, SavedSearchesRoutingModule],
  declarations: [SavedSearchesComponent, SavedSearchesDetailComponent, SavedSearchesUpdateComponent, SavedSearchesDeleteDialogComponent],
})
export class SavedSearchesModule {}
