import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { IWatchListEntry } from '../watch-list-entry.model';

@Component({
  selector: 'jhi-watch-list-entry-detail',
  templateUrl: './watch-list-entry-detail.component.html',
})
export class WatchListEntryDetailComponent implements OnInit {
  watchListEntry: IWatchListEntry | null = null;

  constructor(protected activatedRoute: ActivatedRoute) {}

  ngOnInit(): void {
    this.activatedRoute.data.subscribe(({ watchListEntry }) => {
      this.watchListEntry = watchListEntry;
    });
  }

  previousState(): void {
    window.history.back();
  }
}
