package at.ac.uibk.gitsearch.service.criteria;

import at.ac.uibk.gitsearch.testingUtilities.PropertiesTester;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.ValueSource;
import tech.jhipster.service.Criteria;

class GeneralCriteriaTests {

    @ParameterizedTest
    @ValueSource(
        classes = {
            LikesCriteria.class,
            ReviewCriteria.class,
            ReviewHistoryEntryCriteria.class,
            ReviewRatingCriteria.class,
            SavedSearchesCriteria.class,
            StatisticsCriteria.class,
            UserWatchListCriteria.class,
            WatchListEntryCriteria.class,
        }
    )
    void testWithPropertiesTester(Class<Criteria> criteriaClass) {
        PropertiesTester pt = new PropertiesTester();

        pt.testProperties(criteriaClass);
    }
}
