import { HttpClientTestingModule } from '@angular/common/http/testing';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ActivatedRoute } from '@angular/router';
import { FormsModule } from '@angular/forms';

import { ReviewingChatComponent } from './reviewing-chat.component';
import { of } from 'rxjs';
import { TranslateModule } from '@ngx-translate/core';

const mockActivatedRoute = {
  params: of({ id: 'mockId' }), // <-- This mocks an Observable that emits an object with an 'id' property
};

describe('ReviewingChatComponent', () => {
  let component: ReviewingChatComponent;
  let fixture: ComponentFixture<ReviewingChatComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ReviewingChatComponent],
      imports: [HttpClientTestingModule, FormsModule, TranslateModule.forRoot()],
      providers: [{ provide: ActivatedRoute, useValue: mockActivatedRoute }],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ReviewingChatComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
